Skip to main content
GET
/
tournaments
/
{tournament}
/
matches
List Tournament Matches
curl --request GET \
  --url https://padelapi.org/api/tournaments/{tournament}/matches \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://padelapi.org/api/tournaments/{tournament}/matches"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://padelapi.org/api/tournaments/{tournament}/matches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": 123,
      "self": "<string>",
      "name": "<string>",
      "url": "<string>",
      "category": "<string>",
      "round": 123,
      "round_name": "<string>",
      "index": 123,
      "seeds": "<string>",
      "played_at": "<string>",
      "schedule_label": "<string>",
      "scheduled_at": "<string>",
      "scheduled_at_local": "<string>",
      "court": "<string>",
      "court_order": 123,
      "score": "<string>",
      "winner": "<string>",
      "started_time": "<string>",
      "started_time_local": "<string>",
      "duration": "<string>",
      "players": {
        "team_1": [
          {
            "id": 123,
            "self": "<string>",
            "name": "<string>",
            "connections": "<string>"
          }
        ],
        "team_2": [
          {
            "id": 123,
            "self": "<string>",
            "name": "<string>",
            "connections": "<string>"
          }
        ]
      },
      "updated_at": "<string>",
      "connections": "<string>"
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 123,
    "from": 123,
    "last_page": 123,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 123,
    "to": 123,
    "total": 123
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>",
"errors": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tournament
integer
required

The tournament ID

Query Parameters

played_at
string<date> | null

Date when the match was played in YYYY-MM-DD format.

round
enum<integer> | null

Round of the match (1 = Final, 2 = Semifinal, 4 = Quarterfinal, 8 = Round of 16, 16 = Round of 32, 32 = Round of 64)

Available options:
1,
2,
4,
8,
16,
32
category
enum<string> | null

Category of the match. Either men or women.

Available options:
men,
women
court
string | null

Name of the court where the match was played.

updated_after
string<date-time> | null

Filter matches updated after this datetime in ISO 8601 format.

updated_before
string<date-time> | null

Filter matches updated before this datetime in ISO 8601 format.

sort_by
enum<string> | null

Name of the parameter to sort the matches by.

Available options:
played_at,
court,
court_order,
round,
updated_at
order_by
enum<string> | null

Order of the sorting, either asc or desc.

Available options:
asc,
desc

Response

Paginated set of MatchResource

data
MatchResource · object[]
required
meta
object
required